diff -ruN vdr-1.7.39/recording.h vdr-1.7.40/recording.h
--- vdr-1.7.39/recording.h	2013-03-03 11:48:39.000000000 +0100
+++ vdr-1.7.40/recording.h	2013-03-04 15:01:23.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.h 2.45 2013/03/03 10:48:39 kls Exp $
+ * $Id: recording.h 2.46 2013/03/04 14:01:23 kls Exp $
  */
 
 #ifndef __RECORDING_H
@@ -99,6 +99,7 @@
   cRecording &operator=(const cRecording &); // can't assign cRecording
   static char *StripEpisodeName(char *s, bool Strip);
   char *SortName(void) const;
+  void ClearSortName(void);
   int GetResume(void) const;
   time_t start;
   int priority;
@@ -187,6 +188,7 @@
   void ChangeState(void) { state++; }
   bool StateChanged(int &State);
   void ResetResume(const char *ResumeFileName = NULL);
+  void ClearSortNames(void);
   cRecording *GetByName(const char *FileName);
   void AddByName(const char *FileName, bool TriggerUpdate = true);
   void DelByName(const char *FileName);
diff -ruN vdr-1.7.39/skinclassic.c vdr-1.7.40/skinclassic.c
--- vdr-1.7.39/skinclassic.c	2013-02-22 16:25:31.000000000 +0100
+++ vdr-1.7.40/skinclassic.c	2013-03-03 16:26:09.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinclassic.c 2.9 2013/02/22 15:25:31 kls Exp $
+ * $Id: skinclassic.c 2.10 2013/03/03 15:26:09 kls Exp $
  */
 
 #include "skinclassic.h"
@@ -391,8 +391,7 @@
   const cFont *font = cFont::GetFont(fontOsd);
   int y = y2;
   cTextScroller ts;
-  char t[32];
-  snprintf(t, sizeof(t), "%s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()));
+  cString t = cString::sprintf("%s  %s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()), Info->ChannelName() ? Info->ChannelName() : "");
   ts.Set(osd, x1, y, x2 - x1, y3 - y, t, font, Theme.Color(clrMenuEventTime), Theme.Color(clrBackground));
   y += ts.Height();
   if (Info->GetEvent()->ParentalRating()) {
diff -ruN vdr-1.7.39/skinlcars.c vdr-1.7.40/skinlcars.c
--- vdr-1.7.39/skinlcars.c	2013-02-15 16:08:02.000000000 +0100
+++ vdr-1.7.40/skinlcars.c	2013-03-09 11:43:34.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinlcars.c 2.19 2013/02/15 15:08:02 kls Exp $
+ * $Id: skinlcars.c 2.21 2013/03/09 10:43:34 kls Exp $
  */
 
 // "Star Trek: The Next Generation"(R) is a registered trademark of Paramount Pictures,
@@ -210,6 +210,7 @@
       Area.bpp = Bpp[i];
       if (Osd->CanHandleAreas(&Area, 1) == oeOk) {
          Osd->SetAreas(&Area, 1);
+         Osd->SetAntiAliasGranularity(20, 16);
          TwoColors = Area.bpp == 1;
          break;
          }
@@ -1599,8 +1600,7 @@
   int xl = xi00;
   int y = yi00;
   cTextScroller ts;
-  char t[32];
-  snprintf(t, sizeof(t), "%s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()));
+  cString t = cString::sprintf("%s  %s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()), Info->ChannelName() ? Info->ChannelName() : "");
   ts.Set(osd, xl, y, xi01 - xl, yi01 - y, t, font, Theme.Color(clrEventTime), Theme.Color(clrBackground));
   y += ts.Height();
   if (Info->GetEvent()->ParentalRating()) {
diff -ruN vdr-1.7.39/skinsttng.c vdr-1.7.40/skinsttng.c
--- vdr-1.7.39/skinsttng.c	2012-09-09 13:39:06.000000000 +0200
+++ vdr-1.7.40/skinsttng.c	2013-03-03 16:29:28.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinsttng.c 2.16 2012/09/09 11:39:06 kls Exp $
+ * $Id: skinsttng.c 2.17 2013/03/03 15:29:28 kls Exp $
  */
 
 // "Star Trek: The Next Generation"(R) is a registered trademark of Paramount Pictures
@@ -707,8 +707,7 @@
   int xl = x3 + TextSpacing;
   int y = y3;
   cTextScroller ts;
-  char t[32];
-  snprintf(t, sizeof(t), "%s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()));
+  cString t = cString::sprintf("%s  %s  %s", *DateString(Recording->Start()), *TimeString(Recording->Start()), Info->ChannelName() ? Info->ChannelName() : "");
   ts.Set(osd, xl, y, x4 - xl, y4 - y, t, font, Theme.Color(clrMenuEventTime), Theme.Color(clrBackground));
   y += ts.Height();
   if (Info->GetEvent()->ParentalRating()) {
